Bug 1416940 - remove DISTINCT keyword from subscribed server counts when META DATA is fixed
Summary: remove DISTINCT keyword from subscribed server counts when META DATA is fixed
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Server
Version: 580
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Grant Gainey
QA Contact: Jan Hutař
URL:
Whiteboard:
Depends On:
Blocks: 1340444 1445404 1445406
TreeView+ depends on / blocked
 
Reported: 2017-01-26 20:44 UTC by Shannon Hughes
Modified: 2020-03-11 15:39 UTC (History)
7 users (show)

Fixed In Version: spacewalk-schema-2.5.1-41-sat satellite-schema-5.8.0.26-1-sat spacewalk-backend-2.5.3-107-sat
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1445404 1445406 (view as bug list)
Environment:
Last Closed: 2017-06-21 12:09:55 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Shannon Hughes 2017-01-26 20:44:42 UTC
Description of problem:

this bz will track the fix to remove the DISTINCT that was put into place due to the upstream meta data with the server/channels in bz 1021057. While this fixed the duplicates it introduced a terrible performance penalty for larger Satellite client counts. There is more detail history in a wiki that I will post separately.

Comment 4 Grant Gainey 2017-04-12 18:51:43 UTC
Following files affected:

backend/satellite_tools/rhn-entitlement-report
backend/satellite_tools/satCerts.py
schema/spacewalk/oracle/packages/rhn_channel.pkb
schema/spacewalk/oracle/packages/rhn_entitlements.pkb
schema/spacewalk/postgres/packages/rhn_channel.pkb
schema/spacewalk/postgres/packages/rhn_entitlements.pkb

NOTE: This affects entitlement-counting. Since we don't do that any more in Spacewalk, *there is no upstream fix*

Comment 9 Lukáš Hellebrandt 2017-06-15 09:11:52 UTC
Reverified sanity-only using steps from comment 6 and automation with compose from 2017-06-09.


Note You need to log in before you can comment on or make changes to this bug.